# Get-RASLogonHours

### NAME

Get-RASLogonHours\ <br>

### SYNOPSIS

Retrieves information about one or multiple logon hours rules.\ <br>

### SYNTAX

Get-RASLogonHours \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASLogonHours.html#Id)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASLogonHours.html#CommonParameters)*>*]\
\
Get-RASLogonHours \[\[-[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASLogonHours.html#Name)] *\<string>*] \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASLogonHours.html#SiteId)] *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASLogonHours.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet returns an object of the type logon hours rule.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.\ <br>

### PARAMETERS

\
-**Name \<string>**\
The name of the logon hours rule for which to retrieve the information.\
\
This must be the actual logon hours rule name used in the RAS Farm.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the logon hours rule information.\
\
If the parameter is omitted, the Licensing Server Site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<uint>**\
The ID of a logon hours rule for which to retrieve the information.\ <br>

```
        Required?                    false
```

```
        Position?                    0
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[LogonHours](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/LogonHours.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASLogonHours "My Logon Hours" | Format-List\
\
Retrieves information about the logon hours rule specified by name from the Licensing Server Site.\
\
To retrieve the info from a specific Site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available group properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASLogonHours -Id 10\
\
Retrieves information about the logon hours rule specified by ID from the Licensing Server Site.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-raslogonhours.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
